import subprocess
import sys
import time

arg="0.8"
subprocess.run( ["python", "bernouli.py", arg] )

plot = subprocess.Popen( ['/usr/bin/gnuplot'], stdin=subprocess.PIPE, stdout=subprocess.PIPE, encoding='utf8', text=True )

plot.stdin.write( """
set term qt enhanced
unset key
set xrange [0:9]
set yrange [-1:1]
set title "Mapa de Bernouli" 
set xlabel "Muestra"
set ylabel "x_{n+1}"
plot 'b.txt' w lp lw 2 pt 6
""" )
plot.stdin.flush()

time.sleep(0.1)

try: 
	while 1 :
		subprocess.run( ["python", "bernouli.py", arg] )
		plot.stdin.write( 'rep\n' )
		plot.stdin.flush()
		time.sleep(0.7)
		a = subprocess.run( ["tail", "-1", "b.txt" ], capture_output=True )
		arg = a.stdout.decode('utf8')
		# print( arg )

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
