import sys

n = len( sys.argv )
if n != 4:
	print( "Args: x0 y0 z0" )
	sys.exit(1)

x = float( sys.argv[1] )
y = float( sys.argv[2] )
z = float( sys.argv[3] )

try:
	arch = open( 'osc.txt', 'w' )
except:
	print( "ERROR: No puedo abrir el archivo \"osc.txt\"" )
	sys.exit(2)

def g( x ) :
	p1 = -3.036
	p2 = -0.276
	p3 = 0.1

	return p2*x + 0.5*(p1-p2)*(abs(x+p3)-abs(x-p3)) 

alpha = 10.0
beta = -15.0
h = 0.001
s = 20
k = 32.0
i=0
while i < 100 :
	j = 0
	while j < s:
		xn  = alpha*( y - x - k*g(x/k) )
		yn = x - y + z
		zn = beta*y;

		x += h*xn
		y += h*yn
		z += h*zn
		
		j += 1	

	arch.write( str(x) + ' ' + str(y) + ' ' + str(z) + '\n' )

	i += 1	

arch.close( )
